#include <iostream>
using namespace std;
int main()
{
    int N,A,plavi1=0,plavi2=0,plavi3=0,crveni1=0,crveni2=0,crveni3=0,pomocna,pomocna2;
    cin>>N>>A;
    if(N<A*3)
    {
        cout<<-1;
        return 0;
    }
    plavi3=N/3;
    plavi2=N/3;
    plavi1=N/3;
    if(N%A<plavi1)
        crveni3=N%A;
    else
    {
    if((N%A)%3==1)
    {
        crveni1=(N%A)/3;
        crveni2=(N%A)/3;
        crveni3=(N%A)/3+1;
    }
    if((N%A)%3==0)
    {
        crveni1=(N%A)/3;
        crveni2=(N%A)/3;
        crveni3=(N%A)/3;
    }
    if((N%A)%3==2)
    {
        crveni1=(N%A)/3;
        crveni2=(N%A)/3+1;
        crveni3=(N%A)/3+1;
    }
    }
    if(plavi1>A)
    {
    pomocna=(plavi1-A)*3;
    plavi3=A;
    plavi2=A;
    pomocna2=A-crveni1;
    pomocna=pomocna-pomocna2;
    if(pomocna%2==0)
    {
        plavi1=pomocna/2+A+1;
        crveni1=pomocna/2+A-1;
    }
    if(pomocna%2==1)
    {
        crveni1=pomocna/2+A;
        plavi1=pomocna/2+A+2;
    }
    }
    crveni3=N-plavi1-plavi2-plavi3-crveni1-crveni2;
    cout<<plavi1<<" "<<crveni1<<endl<<plavi2<<" "<<crveni2<<endl<<plavi3<<" "<<crveni3;

    return 0;
}